SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE `ads` (
  `id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `time_srok` varchar(255) DEFAULT NULL,
  `kogda` varchar(255) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

CREATE TABLE `forum_post` (
  `id` int(11) NOT NULL,
  `razdel` int(11) NOT NULL,
  `kat` int(11) NOT NULL,
  `tema` int(11) NOT NULL,
  `text` mediumtext NOT NULL,
  `us` varchar(255) NOT NULL,
  `time` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `forum_razdel` (
  `id` int(11) NOT NULL,
  `name` varchar(244) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `forum_tema` (
  `id` int(11) NOT NULL,
  `razdel` int(11) NOT NULL,
  `text` varchar(244) NOT NULL,
  `name` varchar(244) NOT NULL,
  `us` varchar(255) NOT NULL,
  `time` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  `up` varchar(255) NOT NULL,
  `kem` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `guest` (
  `id` int(11) NOT NULL,
  `text` mediumtext NOT NULL,
  `us` varchar(255) NOT NULL,
  `time` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `lenta` (
  `id` int(11) NOT NULL,
  `readlen` varchar(255) NOT NULL,
  `time` varchar(255) NOT NULL,
  `komy` varchar(255) NOT NULL,
  `kto` varchar(255) NOT NULL,
  `text` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `load_file` (
  `id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `url` text,
  `time` int(11) NOT NULL,
  `avtor` varchar(25) NOT NULL,
  `format` varchar(244) NOT NULL,
  `about` text NOT NULL,
  `files` varchar(244) NOT NULL,
  `status` varchar(2) NOT NULL,
  `kem` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `message` (
  `id` int(11) NOT NULL,
  `kto` varchar(244) NOT NULL,
  `komy` varchar(244) NOT NULL,
  `text` text NOT NULL,
  `time` varchar(244) NOT NULL,
  `readlen` varchar(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `message_list` (
  `id` int(11) NOT NULL,
  `kto` varchar(244) NOT NULL,
  `kogo` varchar(244) NOT NULL,
  `time` varchar(244) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `news` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `coop` text NOT NULL,
  `close` varchar(3) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `settings` (`id`, `coop`, `close`) VALUES
(1, 'HyperCMS', '1');

CREATE TABLE `smile` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `icon` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `users` (
  `id` int(5) NOT NULL,
  `login` varchar(12) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `pass` varchar(32) DEFAULT NULL,
  `level` int(1) NOT NULL,
  `regtime` int(10) DEFAULT NULL,
  `ava` varchar(255) NOT NULL,
  `viz` varchar(255) NOT NULL,
  `online` varchar(255) NOT NULL,
  `max` varchar(11) NOT NULL,
  `name` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


ALTER TABLE `ads`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `forum_post`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `forum_razdel`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `forum_tema`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `guest`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `load_file`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `message`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `message_list`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `news`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `ads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `forum_post`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `forum_razdel`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `forum_tema`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `guest`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `load_file`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `message`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `message_list`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

ALTER TABLE `users`
  MODIFY `id` int(5) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
