<?php
$title = 'Користувачі онлайн';
require_once '../system/fun.php';
require_once '../system/head.php';

if (!isset($user['id'])) {
    echo '<div class="menu">Вхід в розділ заборонено, так як ви не зареєстровані </div>';
    require_once '../system/foot.php';
    exit();
}

$act = isset($_GET['act']) ? $_GET['act'] : null;

switch ($act) {
    default:
        echo '<div class="title">'.$title.'</div>';
        
        if (empty($user['max'])) {
            $user['max'] = 10;
        }

        $max = $user['max'];
        $k_post = mysqli_result(mysqli_query($connect, "SELECT COUNT(*) FROM `users`"), 0);
        $k_page = k_page($k_post, $max);
        $page = page($k_page);
        $start = $max * $page - $max;
        $users = mysqli_query($connect, "SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");

        while ($a = mysqli_fetch_assoc($users)) {
            echo '<div class="menu">'.ava($a['id']).' '.nick($a['id']).' [ID: '.$a['id'].']</div>';
        }

        if ($k_page > 1) {
            echo str('/user?', $k_page, $page);
        }
        break;

    case 'online':
        echo '<div class="title">Користувачі онлайн</div>';
        
        if (empty($user['max'])) {
            $user['max'] = 10;
        }

        $max = $user['max'];
        $k_post = mysqli_result(mysqli_query($connect, "SELECT COUNT(*) FROM `users` WHERE `viz` > '".(time() - 3600)."'"), 0);
        $k_page = k_page($k_post, $max);
        $page = page($k_page);
        $start = $max * $page - $max;
        $users = mysqli_query($connect, "SELECT * FROM `users` WHERE `viz` > '".(time() - 3600)."' ORDER BY `viz` DESC LIMIT $start, $max");

        while ($a = mysqli_fetch_assoc($users)) {
            echo '<div class="menu">'.ava($a['id']).' '.nick($a['id']).' </div><div class="menu">Останній візит: '.times($a['viz']).'</div>';
        }

        if ($k_page > 1) {
            echo str('/user/on/?', $k_page, $page);
        }
        break;
}

require_once ('../system/foot.php');
?>
