<?php
$title = 'Реклама на сайті';
require_once('../system/fun.php');
require_once('../system/head.php');

if (!isset($user['id'])) {
    echo '<div class="menu">Вхід у розділ заборонено, оскільки ви не зареєстровані.</div>';
    require_once('../system/foot.php');
    exit();
}

if ($user['level'] < 2) {
    echo '<div class="title">Помилка</div><div class="menu">Ви не можете переглядати цю сторінку, оскільки ви не з адміністрації!</div>';
    require_once('../system/foot.php');
    exit();
}

$act = isset($_GET['act']) ? $_GET['act'] : null;

switch ($act) {
    default:
        echo '<div class="title">' . $title . '</div>
        <div class="menu"><a href="?act=add_rek"> Додати рекламне посилання</div></a> 
        <div class="menu"><a href="?act=rek_set"> Управління рекламою</div></a> ';
        break;

    case 'add_rek':
        echo '<div class="title"> Нове рекламне посилання</div>';

        if (isset($_REQUEST['submit'])) {
            $name = text($_POST['name']);
            $url = text($_POST['url']);
            $time_srok = text($_POST['time_srok']);
            $times = $time_srok * 86400;
            $time_end = time() + $times;

            if (empty($name)) {
                echo '<div class="menu"><center><b>Введіть назву рекламного посилання!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            if (empty($url)) {
                echo '<div class="menu"><center><b>Введіть посилання!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            if (empty($time_srok) || !is_numeric($time_srok)) {
                echo '<div class="menu"><center><b>Введіть час активності посилання (в днях) числом!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            if (mb_strlen($name) < 3 || mb_strlen($name) > 50) {
                echo '<div class="menu"><center><b>Введіть назву рекламного посилання від 3 до 50 символів!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            $sql = mysqli_fetch_array(mysqli_query($connect, 'SELECT * FROM `ads` WHERE  `name` = "' . $name . '" AND `url` = "' . $url . '"'));
            if ($sql != 0) {
                echo '<div class="menu"><center><b>Таке рекламне посилання вже існує!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            mysqli_query($connect, "INSERT INTO `ads` SET `name` = '" . $name . "', `url` = '" . $url . "', `time_srok` = '" . $time_end . "', `kogda` = '" . time() . "'");
            echo '<div class="menu"><center><b>Рекламне посилання успішно додано!</b></center></div>';
        }

        echo '<div class="menu"><form action="" method="POST">
        *Назва посилання: <br /> <input type="text" name="name" maxlength="30" /><br />
        *Посилання (url сайту): <br /> <input type="text" name="url" maxlength="25" /><br />
        *Час активності (в днях): <br /> <input type="text" name="time_srok" maxlength="3" /><br />
        <input type="submit" name="submit" value="Додати">
        </form></div>';
        break;

    case 'rek_set':
        echo '<div class="title"> Управління рекламою</div>';

        if (empty($user['max'])) $user['max'] = 10;
        $max = $user['max'];
        $k_post = mysqli_result(mysqli_query($connect, "SELECT COUNT(*) FROM `ads`"), 0);
        $k_page = k_page($k_post, $max);
        $page = page($k_page);
        $start = $max * $page - $max;
        $qwerty = mysqli_query($connect, "SELECT * FROM `ads` ORDER BY `id` DESC LIMIT $start, $max");

        while ($sql = mysqli_fetch_assoc($qwerty)) {
            echo '<div class="menu">
            <b>Назва посилання:</b> <big>' . $sql['name'] . '</big> <br />
            <b>Посилання (url):</b> <big><a href="' . $sql['url'] . '">' . $sql['url'] . '</a></big> <br/ >
            <b>Час додавання:</b> <big>' . times($sql['kogda']) . '</big> <br />';
            if ($sql['time_srok'] > time()) {
                echo '<b>Закінчується:</b> <big>' . times($sql['time_srok']) . '</big>';
            } else {
                echo '<b>Закінчилося:</b> <big>' . times($sql['time_srok']) . '</big>';
            }
            echo '</div>
            <div class="menu">
            Дії: <a href="/panel/rek.php?act=set&id=' . $sql['id'] . '">Редагувати</a> | <a href="/panel/rek.php?act=del&id=' . $sql['id'] . '">Видалити</a>
            </div>';
        }

        if ($k_post < 1) echo '<div class="menu"><center><b>Порожньо!</b></center></div>';
        if ($k_page > 1) echo str('/panel/rek.php?act=rek_set&', $k_page, $page); // Вивід сторінок
        break;

    case 'set':
        $id = abs(intval($_GET['id']));
        $rek = mysqli_fetch_assoc(mysqli_query($connect, "SELECT * FROM `ads` WHERE `id` = '" . $id . "'"));

        if ($rek == 0) {
            header('Location: /panel/rek.php?act=rek_set');
            exit();
        }

        echo '<div class="title"><a href="/panel/rek.php?act=rek_set">Управління рекламою</a> | Редагування рекламного місця</div>';

        if (isset($_REQUEST['submit'])) {
            $name = text($_POST['name']);
            $url = text($_POST['url']);
            $time_srok = text($_POST['time_srok']);
            $times = $time_srok * 86400;
            $time_end = time() + $times;

            if (empty($name)) {
                echo '<div class="menu"><center><b>Введіть назву рекламного посилання!</b></center></div>';
                require_once('../system/footer.php');
                exit();
            }

            if (empty($url)) {
                echo '<div class="menu"><center><b>Введіть посилання!</b></center></div>';
                require_once('../system/foot.php');
                exit();
            }

            if (mb_strlen($name) < 3 || mb_strlen($name) > 30) {
                echo '<div class="menu"><center><b>Введіть назву рекламного посилання від 3 до 30 символів!</b></center></div>';
                require_once('../system/footer.php');
                exit();
            }

            $sql = mysqli_fetch_array(mysqli_query($connect, 'SELECT * FROM `ads` WHERE  `name` = "' . $name . '" AND `url` = "' . $url . '"'));
            if ($sql != 0) {
                echo '<div class="menu"><center><b>Таке рекламне посилання вже існує!</b></center></div>';
                require_once('../system/footer.php');
                exit();
            }

            mysqli_query($connect, "UPDATE `ads` SET `name` = '" . $name . "', `url` = '" . $url . "' WHERE `id` = '" . $id . "'");
            echo '<div class="menu"><center><b>Збережено!</b></center></div>';
        }

        echo '<div class="menu"><form action="" method="POST">
        *Назва посилання: <br /> <input type="text" name="name" value="' . $rek['name'] . '" maxlength="30" /><br />
        *Посилання (url сайту): <br /> <input type="text" name="url" value="' . $rek['url'] . '" maxlength="25" /><br />
        <input type="submit" name="submit" value="Додати">
        </form></div>';
        break;

    case 'del':
        $id = abs(intval($_GET['id']));
        $rek = mysqli_fetch_assoc(mysqli_query($connect, "SELECT * FROM `ads` WHERE `id` = '" . $id . "'"));

        if ($rek == 0) {
            header('Location: /panel/rek.php?act=rek_set');
            exit();
        }
        mysqli_query($connect, "DELETE FROM `ads` WHERE `id` = '" . $id . "'");
        header('Location: /panel/rek.php?act=rek_set');
        break;
}

//-----Підключаємо низ-----//
require_once('../system/foot.php');
?>
