<?php 
$title = 'Реєстрація';
require_once 'system/fun.php';
require_once 'system/head.php';

if (isset($user['id'])) {
    header('location: ./');
}

$act = isset($_GET['act']) ? $_GET['act'] : '';

switch ($act) {
    default:
        echo '<div class="title">Реєстрація</div>
        <form action="?act=do" method="post">
        <div class="menu"> Логін :<br /><input name="login" type="text" maxlength="12" /></div>
        <div class="menu">Пароль :<br /><input name="pass" type="password" maxlength="20" /></div>        
        <div class="menu">Ваше ім\'я :<br /><input name="name" type="text" maxlength="30" /></div>
        <div class="menu">E-Mail :<br /><input name="email" type="text" maxlength="30" /></div>
        <div class="menu"><input type="submit" value="Реєстрація"/>
        </form>
        </div>';
        require_once 'system/foot.php';
        break;

    case 'do':
        session_start();
        $login = check($_POST['login']);
        $pass = check($_POST['pass']);
        $email = check($_POST['email']);
        $name = check($_POST['name']);

        // Перевірка чи існує логін
        if (empty($login)) {
            echo '<div class="title">Реєстрація</div><div class="menu">Ви не ввели логін!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка чи існує користувач з таким логіном
        $query = mysqli_query($connect, "SELECT COUNT(`id`) FROM `users` WHERE `login` = '$login'"); 
        if (mysqli_result($query, 0) > 0) {
            echo '<div class="title">Реєстрація</div><div class="menu">Обраний вами логін вже використовується! Виберіть інший!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка логіна
        if (!preg_match('|^[a-z0-9\-]+$|i', $login)) {
            echo '<div class="title">Реєстрація</div><div class="menu">Логін повинен містити тільки літери латинського алфавіту і цифри!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка довжини логіна
        if (strlen($login) < 3 or strlen($login) > 12) {
            echo '<div class="title">Реєстрація</div><div class="menu">Логін повинен містити мінімум 3 або максимум 12 символів!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка чи введений пароль
        if (empty($pass)) {
            echo '<div class="title">Реєстрація</div><div class="menu">Ви не ввели пароль!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка довжини пароля
        if (strlen($pass) < 3 or strlen($pass) > 16) {
            echo '<div class="title">Реєстрація</div><div class="menu">Пароль повинен містити мінімум 3 або максимум 16 символів!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка чи введений E-Mail
        if (empty($email)) {
            echo '<div class="title">Реєстрація</div><div class="menu">Ви не ввели E-Mail!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        // Перевірка E-Mail
        if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
            echo '<div class="title">Реєстрація</div><div class="menu">E-Mail введено не вірно!<br />';
            echo '<a href="?">Назад</a></div>';
            require_once 'system/foot.php';
            break;
        }

        mysqli_query($connect, "INSERT INTO `users` SET `login` = '$login', `pass` = '".md5(md5($pass))."', `email` = '$email', `name` = '$name', `regtime` = '".time()."'");
        
        echo '<div class="title">Реєстрація</div><div class="menu">
        Ви успішно зареєструвалися на сайті!<br />
        <font color="green">Ми вислали вам лист, на вашу поштову скриньку</font> <b>'.$email.'</b> , <font color="green">на випадок, якщо ви не зможете вспомнити дані для входу на сайт!</font></div><div class="menu">
        Ваш Логін: <b>'.$login.'</b><br />
        Ваш Пароль: <b>'.$pass.'</b><br />
        Ваш E-Mail: <b>'.$email.'</b><br />
        Автологін:<br /><input name="autologin" type="text" value="http://'.$set['site'].'/login.php?lg='.$login.'&amp;ps='.$pass.'" /><br />
        <a href="login.php?lg='.$login.'&amp;ps='.$pass.'">Увійти</a></div>';
        require_once 'system/foot.php';
        
        // Відправка даних на E-Mail
        $email_a = 'admin@'.$set['site'];
        $message = 'Шановний користувач!
        Ви успішно зареєструвалися на сайті '.$set['site'].' <br />Ваші дані для входу на сайт:<br />
        Ваш Логін: '.$login.'<br />
        Ваш Пароль: '.$pass.'<br />
        Автологін: http://'.$set['site'].'/login.php?lg='.$login.'&amp;ps='.$pass.'
        З повагою, команда '.$set['site'];
        
        mail($email, '=?utf-8?B?'.base64_encode('Реєстрація на '.$set['site']).'?=', $message, "From: $email_a\r\nContent-type: text/plain; charset=utf-8;\r\nX-Mailer: PHP;");
        session_destroy();
        break;
}
?>
