<?php

// Підключення до БД
require_once 'db_connect.php';

function mysqli_result($res, $row, $field = 0) {
    $res->data_seek($row);
    return ($datarow = $res->fetch_array()) ? $datarow[$field] : null;
}

if (isset($user) && isset($userlogin) && isset($userpass)) {
    if ($user['login'] != $userlogin || $user['pass'] != $userpass) {
        setcookie('userlogin', '', time() - 86400 * 31);
        setcookie('userpass', '', time() - 86400 * 31);
    }
}

function generate($number) {
    $arr = array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'r', 's', 't', 'u', 'v', 'x', 'y', 'z', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'R', 'S', 'T', 'U', 'V', 'X', 'Y', 'Z', '1', '2', '3', '4', '5', '6', '7', '8', '9', '0');
    // Генеруємо пароль
    $pass = '';
    for ($i = 0; $i < $number; $i++) {
        // Визначаємо випадковий індекс масиву
        $index = rand(0, count($arr) - 1);
        $pass .= $arr[$index];
    }
    return $pass;
}

###############################
######### Функція ніка ########
###############################
function nick($id) {
    global $connect;
    $users = mysqli_fetch_array(mysqli_query($connect, "SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));
    return (empty($users)?'[Видалено]':'<a href="/id'.$users['id'].'"><b>'.$users['login'].'</b></a>');
}

###############################
######### Функція часу ########
###############################
function times($var) {
    if ($var == NULL) $var = time();
    $full_time = date('d.m.Y в H:i', $var);
    $date = date('d.m.Y', $var);
    $time = date('H:i', $var);
    if ($date == date('d.m.Y'))
        $full_time = date('Сьогодні в H:i', $var);
    if ($date == date('d.m.Y', time() - 60 * 60 * 24))
        $full_time = date('Вчора в H:i', $var);
    return $full_time;
}

function text($var) {
    return htmlspecialchars($var, ENT_QUOTES, 'utf-8');
}

function ava($id) {
    global $connect;
    $ava = mysqli_fetch_array(mysqli_query($connect, "SELECT * FROM `users` WHERE `id` = '".$id."'"));
    return (empty($ava['ava']) ? '<img src="../down/ava/noava.png" alt="*" style="max-width: 27px; max-height: 27px;">' : '<img src="../down/ava/'.$ava['ava'].'" alt="*" style="max-width: 27px; max-height: 27px;">');
}


####################################################
########### Взято у strong, але змінено ############
####################################################
function page($k_page = 1) {
    $page = 1;
    $page = text($page);
    $k_page = text($k_page);
    if (isset($_GET['selection'])) {
        if ($_GET['selection'] == 'top')
            $page = text(intval($k_page));
        elseif (is_numeric($_GET['selection']))
            $page = text(intval($_GET['selection']));
    }
    if ($page < 1) $page = 1;
    if ($page > $k_page) $page = $k_page;
    return $page;
}

function k_page($k_post = 0, $k_p_str = 10) {
    if ($k_post != 0) {
        $v_pages = ceil($k_post / $k_p_str);
        return $v_pages;
    }
    else return 1;
}

function str($link = '?', $k_page = 1, $page = 1) {
    if ($page < 1) $page = 1;
    $page = text($page);
    $k_page = text($k_page);
    echo '<div class="menu">';

    if ($page != 1)
        echo 'Стор : <a href="'.$link.'selection=1" >1</a>';
    else echo 'Стор : <b>1</b>';
    for ($ot = -3; $ot <= 3; $ot++) {
        if ($page + $ot > 1 && $page + $ot < $k_page) {
            if ($ot == -3 && $page + $ot > 2) echo " ..";
            if ($ot != 0) echo '|<a href="'.$link.'selection='.($page + $ot).'" >'.($page + $ot).'</a>';
            else echo '|<b>'.($page + $ot).'</b>';
            if ($ot == 3 && $page + $ot < $k_page - 1) echo "|..";
        }
    }
    if ($page != $k_page) echo '|<a href="'.$link.'selection=top" >'.$k_page.'</a>';
    elseif ($k_page > 1) echo '|<b>'.$k_page.'</b>';
    echo '</div>';
}

function smi($msg) {
    global $HOME, $connect;
    $msg = text($msg);
    $s = mysqli_query($connect, "SELECT * FROM `smile` ORDER BY `id` DESC");
    while ($smile = mysqli_fetch_array($s)) {
        $msg = str_replace($smile['name'],' <img src="'.$HOME.'/down/smile/'.$smile['icon'].'" alt="'.$smile['name'].'"/> ',$msg);
    }
    return $msg;
}

function bb_code($text) {
    //жирний текст
    $text = preg_replace('/\[b\](.+)\[\/b\]/sU' , '<b>\1</b>', $text);
    //перенос строки
    $text = preg_replace('/\[br\]/sU' , '</br>', $text);
    //нахилений текст 
    $text = preg_replace('/\[i\](.+)\[\/i\]/sU', '<i>\1</i>', $text);
    //підкреслений текст
    $text = preg_replace('/\[u\](.+)\[\/u\]/sU', '<u>\1</u>', $text);
    //закреслений текст 
    $text = preg_replace('/\[s\](.+)\[\/s\]/sU', '<s>\1</s>', $text);
    //посилання 
    $text = preg_replace('#\[url=(.*?)\](.*?)\[/url\]#si', '<a href="\1">\2</a>', $text);
    $text = preg_replace('/\[url\](.+)\[\/url\]/sU', '<a href="http://\1">\1</a>', $text);
    //вставка зображення
    $text = preg_replace('#\[img=(.*?)\]#si', '<img src="\1"/ style="width: 250px; height: 250px;>', $text);
    //виділення кольором
    $text = preg_replace('#\[color=(.*?)\](.*?)\[/color\]#si', '<font color="\1">\2</font>', $text);
    echo $text; 
}
?>
